summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSam Guymer2017-11-14 21:53:33 +1000
committerSam Guymer2017-11-14 21:53:33 +1000
commit382d293fa2d06cbfc5e191c274809e4457417999 (patch)
tree603b5b96daefd6ce6f8123894864454669063494
parent5face84a799b456d8224a79d5e2edbe3719fb687 (diff)
downloadaur-382d293fa2d06cbfc5e191c274809e4457417999.tar.gz
Remove unused file
-rwxr-xr-xapplyTuxjdk.sh40
1 files changed, 0 insertions, 40 deletions
diff --git a/applyTuxjdk.sh b/applyTuxjdk.sh
deleted file mode 100755
index 703f82bdfb6f..000000000000
--- a/applyTuxjdk.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-QUILT="$( which quilt 2>/dev/null )"
-if [[ -z $QUILT ]] ; then
- echo 'quilt not found' >&2
- exit 1
-fi
-
-sourceSetupEnv() {
- local SCRIPT_SOURCE
- local SCRIPT_DIR
- ## resolve folder of this script, following all symlinks,
- ## http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
- SCRIPT_SOURCE="${BASH_SOURCE[0]}"
- while [ -h "$SCRIPT_SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
- SCRIPT_DIR="$( cd -P "$( dirname "$SCRIPT_SOURCE" )" && pwd )"
- SCRIPT_SOURCE="$(readlink "$SCRIPT_SOURCE")"
- # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
- [[ $SCRIPT_SOURCE != /* ]] && SCRIPT_SOURCE="$SCRIPT_DIR/$SCRIPT_SOURCE"
- done
- SCRIPT_DIR="$( cd -P "$( dirname "$SCRIPT_SOURCE" )" && pwd )"
-
- source "$SCRIPT_DIR/setupQuiltEnv.sh"
-}
-
-sourceSetupEnv
-
-echo "Applying quilt patches on current folder..."
-"$QUILT" push -a
-
-readonly result=$?
-if [ "$result" = 0 ] || [ "$result" = 2 ]
-then
- echo ''
- echo 'Quilt patches applied.'
-else
- echo ''
- echo -e '\e[91mQuilt patches application failed\e[0m'
- exit 1
-fi